%define upstream_name    Module-Runtime
%define upstream_version 0.013

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Runtime module handling
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Module/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Module::Build)
BuildRequires: perl(Test::More)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
The functions exported by this module deal with runtime handling of Perl
modules, which are normally handled at compile time.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README SIGNATURE
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Wed Feb 22 2012 kharec <kharec> 0.13.0-1.mga2
+ Revision: 212136
- update to 0.013

* Fri Nov 04 2011 jquelin <jquelin> 0.11.0-1.mga2
+ Revision: 162672
- update to 0.011

* Fri Oct 14 2011 jquelin <jquelin> 0.10.0-1.mga2
+ Revision: 154790
- update to 0.010

* Fri Jun 17 2011 jquelin <jquelin> 0.8.0-1.mga2
+ Revision: 108889
- update to 0.008

* Tue Jan 18 2011 jquelin <jquelin> 0.7.0-2.mga1
+ Revision: 23349
- cleaning spec file
- imported package perl-Module-Runtime

